<html>
<head>
<title>OgreTerrainGroup.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_6cd0971983c3e0e5b0cb362e5db7fc9d.html">Terrain</a>      </li>
      <li class="navelem"><a class="el" href="dir_9b506231b651991d884bb23d993d7984.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreTerrainGroup.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreTerrainGroup_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __Ogre_TerrainGroup_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __Ogre_TerrainGroup_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreTerrainPrerequisites_8h.html">OgreTerrainPrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreTerrain_8h.html">OgreTerrain.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreWorkQueue_8h.html">OgreWorkQueue.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreIteratorWrappers_8h.html">OgreIteratorWrappers.h</a>&quot;</span>
<a name="l00036"></a>00036 
<a name="l00037"></a>00037 <span class="keyword">namespace </span>Ogre
<a name="l00038"></a>00038 {
<a name="l00069"></a><a class="code" href="classOgre_1_1TerrainGroup.html">00069</a>     <span class="keyword">class </span><a class="code" href="OgreTerrainPrerequisites_8h.html#a2fbe49b54cb4b3c3e2757cd3ac167068">_OgreTerrainExport</a> <a class="code" href="classOgre_1_1TerrainGroup.html" title="Helper class to assist you in managing multiple terrain instances that are connected to each other...">TerrainGroup</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>::RequestHandler, 
<a name="l00070"></a>00070         <span class="keyword">public</span> <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>::ResponseHandler, <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">TerrainAlloc</a>
<a name="l00071"></a>00071     {
<a name="l00072"></a>00072     <span class="keyword">public</span>:
<a name="l00079"></a>00079         <a class="code" href="classOgre_1_1TerrainGroup.html" title="Helper class to assist you in managing multiple terrain instances that are connected to each other...">TerrainGroup</a>(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* sm, <a class="code" href="classOgre_1_1Terrain.html#aca4fcebfb7ed4684682347d325477e91" title="The alignment of the terrain.">Terrain::Alignment</a> align, <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> terrainSize, 
<a name="l00080"></a>00080             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> terrainWorldSize);
<a name="l00086"></a>00086         <a class="code" href="classOgre_1_1TerrainGroup.html" title="Helper class to assist you in managing multiple terrain instances that are connected to each other...">TerrainGroup</a>(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* sm);
<a name="l00087"></a>00087         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1TerrainGroup.html" title="Helper class to assist you in managing multiple terrain instances that are connected to each other...">TerrainGroup</a>();
<a name="l00088"></a>00088 
<a name="l00106"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a0b2e61a15cfdda3ed87b62dba174f576">00106</a>         <span class="keyword">virtual</span> <a class="code" href="structOgre_1_1Terrain_1_1ImportData.html" title="Structure encapsulating import data that you may use to bootstrap the terrain without loading from a ...">Terrain::ImportData</a>&amp; <a class="code" href="classOgre_1_1TerrainGroup.html#a0b2e61a15cfdda3ed87b62dba174f576" title="Retrieve a shared structure which will provide the base settings for all terrains created via this gr...">getDefaultImportSettings</a>() { <span class="keywordflow">return</span> mDefaultImportData; }
<a name="l00107"></a>00107 
<a name="l00110"></a>00110         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setOrigin(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; pos);
<a name="l00111"></a>00111 
<a name="l00114"></a><a class="code" href="classOgre_1_1TerrainGroup.html#ac38b3814508c5b3d0796b2c37e4631e9">00114</a>         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; <a class="code" href="classOgre_1_1TerrainGroup.html#ac38b3814508c5b3d0796b2c37e4631e9" title="Retrieve the centre position of the grid of terrain.">getOrigin</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mOrigin; }
<a name="l00115"></a>00115 
<a name="l00118"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a6e9b3d00381017d8d79af383fefc850a">00118</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Terrain.html#aca4fcebfb7ed4684682347d325477e91" title="The alignment of the terrain.">Terrain::Alignment</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a6e9b3d00381017d8d79af383fefc850a" title="Retrieve the alignment of the grid of terrain (cannot be modified after construction).">getAlignment</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mAlignment; }
<a name="l00119"></a>00119 
<a name="l00122"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a90b257d52f99b92a25408cf72120e855">00122</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a90b257d52f99b92a25408cf72120e855" title="Retrieve the world size of each terrain instance.">getTerrainWorldSize</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mTerrainWorldSize; }
<a name="l00127"></a>00127         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setTerrainWorldSize(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> newWorldSize);
<a name="l00130"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a18805654cfff153c1b8c877d42611c94">00130</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a18805654cfff153c1b8c877d42611c94" title="Retrieve the size of each terrain instance in number of vertices down one side.">getTerrainSize</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mTerrainSize; }
<a name="l00136"></a>00136         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setTerrainSize(<a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> newTerrainSize);
<a name="l00139"></a><a class="code" href="classOgre_1_1TerrainGroup.html#ae70b41ef021cb0f54dc6375c7be82007">00139</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* <a class="code" href="classOgre_1_1TerrainGroup.html#ae70b41ef021cb0f54dc6375c7be82007" title="Retrieve the SceneManager being used for this group.">getSceneManager</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mSceneManager; }
<a name="l00140"></a>00140 
<a name="l00150"></a>00150         <span class="keywordtype">void</span> setFilenameConvention(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; prefix, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; extension);
<a name="l00152"></a>00152         <span class="keywordtype">void</span> setFilenamePrefix(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; prefix);
<a name="l00154"></a>00154         <span class="keywordtype">void</span> setFilenameExtension(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; extension);
<a name="l00156"></a><a class="code" href="classOgre_1_1TerrainGroup.html#abf3dc8d382bc84861c587a111d4720e7">00156</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1TerrainGroup.html#abf3dc8d382bc84861c587a111d4720e7">getFilenamePrefix</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mFilenamePrefix; }
<a name="l00158"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a12a05e1e305a8fab0d462eb41d3ebec5">00158</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1TerrainGroup.html#a12a05e1e305a8fab0d462eb41d3ebec5">getFilenameExtension</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mFilenameExtension; }
<a name="l00159"></a>00159 
<a name="l00161"></a><a class="code" href="classOgre_1_1TerrainGroup.html#ab6f752f831a9fdc36b64b1f0cc1d3da4">00161</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1TerrainGroup.html#ab6f752f831a9fdc36b64b1f0cc1d3da4" title="Set the resource group in which files will be located.">setResourceGroup</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; grp) { mResourceGroup = grp; }
<a name="l00163"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a68c9539a5c6ae6b7213bc1f488af558d">00163</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1TerrainGroup.html#a68c9539a5c6ae6b7213bc1f488af558d" title="Get the resource group in which files will be located.">getResourceGroup</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mResourceGroup; }
<a name="l00177"></a>00177         <span class="keyword">virtual</span> <span class="keywordtype">void</span> defineTerrain(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y);
<a name="l00178"></a>00178 
<a name="l00189"></a>00189         <span class="keyword">virtual</span> <span class="keywordtype">void</span> defineTerrain(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y, <span class="keywordtype">float</span> constantHeight);
<a name="l00190"></a>00190 
<a name="l00201"></a>00201         <span class="keyword">virtual</span> <span class="keywordtype">void</span> defineTerrain(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y, <span class="keyword">const</span> <a class="code" href="structOgre_1_1Terrain_1_1ImportData.html" title="Structure encapsulating import data that you may use to bootstrap the terrain without loading from a ...">Terrain::ImportData</a>* importData);
<a name="l00202"></a>00202 
<a name="l00215"></a>00215         <span class="keyword">virtual</span> <span class="keywordtype">void</span> defineTerrain(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a>* img, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Terrain.html#a7f4f256f962849538b8e46eebd6da94c">Terrain::LayerInstanceList</a>* layers = 0);
<a name="l00216"></a>00216 
<a name="l00229"></a>00229         <span class="keyword">virtual</span> <span class="keywordtype">void</span> defineTerrain(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y, <span class="keyword">const</span> <span class="keywordtype">float</span>* pFloat, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Terrain.html#a7f4f256f962849538b8e46eebd6da94c">Terrain::LayerInstanceList</a>* layers = 0);
<a name="l00230"></a>00230 
<a name="l00241"></a>00241         <span class="keyword">virtual</span> <span class="keywordtype">void</span> defineTerrain(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename);
<a name="l00242"></a>00242 
<a name="l00243"></a>00243 
<a name="l00248"></a>00248         <span class="keyword">virtual</span> <span class="keywordtype">void</span> loadAllTerrains(<span class="keywordtype">bool</span> synchronous = <span class="keyword">false</span>);
<a name="l00249"></a>00249         
<a name="l00256"></a>00256         <span class="keyword">virtual</span> <span class="keywordtype">void</span> loadTerrain(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y, <span class="keywordtype">bool</span> synchronous = <span class="keyword">false</span>);
<a name="l00257"></a>00257         
<a name="l00270"></a>00270         <span class="keyword">virtual</span> <span class="keywordtype">void</span> unloadTerrain(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y);
<a name="l00271"></a>00271 
<a name="l00278"></a>00278         <span class="keyword">virtual</span> <span class="keywordtype">void</span> removeTerrain(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y);
<a name="l00279"></a>00279 
<a name="l00282"></a>00282         <span class="keywordtype">void</span> removeAllTerrains();
<a name="l00283"></a>00283 
<a name="l00298"></a>00298         <span class="keywordtype">void</span> saveAllTerrains(<span class="keywordtype">bool</span> onlyIfModified, <span class="keywordtype">bool</span> replaceManualFilenames = <span class="keyword">true</span>);
<a name="l00299"></a>00299         
<a name="l00302"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html">00302</a>         <span class="keyword">struct </span><a class="code" href="OgreTerrainPrerequisites_8h.html#a2fbe49b54cb4b3c3e2757cd3ac167068">_OgreTerrainExport</a> <a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html" title="Definition of how to populate a &#39;slot&#39; in the terrain group.">TerrainSlotDefinition</a>
<a name="l00303"></a>00303         {
<a name="l00305"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a5b0c56d3b577d08fd3800f0399ac8bff">00305</a>             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a5b0c56d3b577d08fd3800f0399ac8bff" title="Filename, if this is to be loaded from a file.">filename</a>;
<a name="l00307"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a13c37aea760bd2537db790c8cf6271ce">00307</a>             <a class="code" href="structOgre_1_1Terrain_1_1ImportData.html" title="Structure encapsulating import data that you may use to bootstrap the terrain without loading from a ...">Terrain::ImportData</a>* <a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a13c37aea760bd2537db790c8cf6271ce" title="Import data, if this is to be defined based on importing.">importData</a>;
<a name="l00308"></a>00308 
<a name="l00309"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a2e4c34e42faae3ec1d745e5cae8fb200">00309</a>             <a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a2e4c34e42faae3ec1d745e5cae8fb200">TerrainSlotDefinition</a>() :importData(0) {}
<a name="l00310"></a>00310             ~<a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html" title="Definition of how to populate a &#39;slot&#39; in the terrain group.">TerrainSlotDefinition</a>();
<a name="l00311"></a>00311 
<a name="l00313"></a>00313             <span class="keywordtype">void</span> useImportData();
<a name="l00315"></a>00315             <span class="keywordtype">void</span> useFilename();
<a name="l00317"></a>00317             <span class="keywordtype">void</span> freeImportData();
<a name="l00318"></a>00318         };
<a name="l00319"></a>00319 
<a name="l00321"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html">00321</a>         <span class="keyword">struct </span><a class="code" href="OgreTerrainPrerequisites_8h.html#a2fbe49b54cb4b3c3e2757cd3ac167068">_OgreTerrainExport</a> <a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html" title="Slot for a terrain instance, together with its definition.">TerrainSlot</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">TerrainAlloc</a>
<a name="l00322"></a>00322         {
<a name="l00324"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html#adc3cf1b5a763e19fc639727169cf0f69">00324</a>             <span class="keywordtype">long</span> x, <a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html#adc3cf1b5a763e19fc639727169cf0f69">y</a>;
<a name="l00326"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html#aa0cb112bc24303af1881f7849b7c0585">00326</a>             <a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html" title="Definition of how to populate a &#39;slot&#39; in the terrain group.">TerrainSlotDefinition</a> <a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html#aa0cb112bc24303af1881f7849b7c0585" title="Definition used to load the terrain.">def</a>;
<a name="l00328"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html#a6b03382c08998d29c07142f6dcc90709">00328</a>             <a class="code" href="classOgre_1_1Terrain.html" title="The main containing class for a chunk of terrain.">Terrain</a>* <a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html#a6b03382c08998d29c07142f6dcc90709" title="Actual terrain instance.">instance</a>;
<a name="l00329"></a>00329 
<a name="l00330"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html#a0ad82e8d743bd33a60ace3a1539ea68c">00330</a>             <a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html#a0ad82e8d743bd33a60ace3a1539ea68c">TerrainSlot</a>(<span class="keywordtype">long</span> _x, <span class="keywordtype">long</span> _y) : x(_x), y(_y), instance(0) {}
<a name="l00331"></a>00331             ~<a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html" title="Slot for a terrain instance, together with its definition.">TerrainSlot</a>();
<a name="l00332"></a>00332             <span class="keywordtype">void</span> freeInstance();
<a name="l00333"></a>00333         };
<a name="l00334"></a>00334         
<a name="l00344"></a>00344         <span class="keyword">virtual</span> TerrainSlotDefinition* getTerrainDefinition(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y) <span class="keyword">const</span>;
<a name="l00345"></a>00345         
<a name="l00351"></a>00351         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Terrain.html" title="The main containing class for a chunk of terrain.">Terrain</a>* getTerrain(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y) <span class="keyword">const</span>;
<a name="l00352"></a>00352 
<a name="l00357"></a>00357         <span class="keywordtype">void</span> freeTemporaryResources();
<a name="l00358"></a>00358 
<a name="l00362"></a>00362         <span class="keywordtype">void</span> update(<span class="keywordtype">bool</span> synchronous = <span class="keyword">false</span>);
<a name="l00363"></a>00363 
<a name="l00367"></a>00367         <span class="keywordtype">void</span> updateGeometry();
<a name="l00368"></a>00368 
<a name="l00372"></a>00372         <span class="keywordtype">void</span> updateDerivedData(<span class="keywordtype">bool</span> synchronous = <span class="keyword">false</span>, <a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> typeMask = 0xFF);
<a name="l00373"></a>00373         
<a name="l00376"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1RayResult.html">00376</a>         <span class="keyword">struct </span><a class="code" href="OgreTerrainPrerequisites_8h.html#a2fbe49b54cb4b3c3e2757cd3ac167068">_OgreTerrainExport</a> <a class="code" href="structOgre_1_1TerrainGroup_1_1RayResult.html" title="Result from a terrain ray intersection with the terrain group.">RayResult</a>
<a name="l00377"></a>00377         {
<a name="l00379"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1RayResult.html#a951a4fd9e895ed4037426217e572f949">00379</a>             <span class="keywordtype">bool</span> <a class="code" href="structOgre_1_1TerrainGroup_1_1RayResult.html#a951a4fd9e895ed4037426217e572f949" title="Whether an intersection occurred.">hit</a>;
<a name="l00381"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1RayResult.html#ad195afe5791ad7c8779636bc392bd02f">00381</a>             <a class="code" href="classOgre_1_1Terrain.html" title="The main containing class for a chunk of terrain.">Terrain</a>* <a class="code" href="structOgre_1_1TerrainGroup_1_1RayResult.html#ad195afe5791ad7c8779636bc392bd02f" title="Which terrain instance was hit, if any.">terrain</a>;
<a name="l00383"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1RayResult.html#a298fe7a58f8ab623739287b108371519">00383</a>             <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> <a class="code" href="structOgre_1_1TerrainGroup_1_1RayResult.html#a298fe7a58f8ab623739287b108371519" title="Position at which the intersection occurred.">position</a>;
<a name="l00384"></a>00384 
<a name="l00385"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1RayResult.html#a39e75d877662e2a244999fdd64e853a7">00385</a>             <a class="code" href="structOgre_1_1TerrainGroup_1_1RayResult.html" title="Result from a terrain ray intersection with the terrain group.">RayResult</a>(<span class="keywordtype">bool</span> _hit, <a class="code" href="classOgre_1_1Terrain.html" title="The main containing class for a chunk of terrain.">Terrain</a>* _terrain, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; _pos)
<a name="l00386"></a>00386                 : hit(_hit), terrain(_terrain), position(_pos) {}
<a name="l00387"></a>00387         };
<a name="l00388"></a>00388         
<a name="l00396"></a>00396         <span class="keywordtype">float</span> getHeightAtWorldPosition(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> y, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> z, <a class="code" href="classOgre_1_1Terrain.html" title="The main containing class for a chunk of terrain.">Terrain</a>** ppTerrain = 0);
<a name="l00397"></a>00397 
<a name="l00405"></a>00405         <span class="keywordtype">float</span> getHeightAtWorldPosition(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; pos, <a class="code" href="classOgre_1_1Terrain.html" title="The main containing class for a chunk of terrain.">Terrain</a>** ppTerrain = 0);
<a name="l00406"></a>00406 
<a name="l00416"></a>00416         RayResult rayIntersects(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Ray.html" title="Representation of a ray in space, i.e.">Ray</a>&amp; ray, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> distanceLimit = 0) <span class="keyword">const</span>; 
<a name="l00417"></a>00417         
<a name="l00418"></a><a class="code" href="classOgre_1_1TerrainGroup.html#afb09ef57afe5c35986ac5c38f9f94342">00418</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html#a5e5f8d7fb74dbc2b426c18e1f7b22323">vector&lt;Terrain*&gt;::type</a> <a class="code" href="classOgre_1_1TerrainGroup.html#afb09ef57afe5c35986ac5c38f9f94342">TerrainList</a>; 
<a name="l00428"></a>00428         <span class="keywordtype">void</span> boxIntersects(<span class="keyword">const</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>&amp; box, <a class="code" href="classOgre_1_1TerrainGroup.html#afb09ef57afe5c35986ac5c38f9f94342">TerrainList</a>* resultList) <span class="keyword">const</span>;
<a name="l00438"></a>00438         <span class="keywordtype">void</span> sphereIntersects(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Sphere.html" title="A sphere primitive, mostly used for bounds checking.">Sphere</a>&amp; sphere, <a class="code" href="classOgre_1_1TerrainGroup.html#afb09ef57afe5c35986ac5c38f9f94342">TerrainList</a>* resultList) <span class="keyword">const</span>;
<a name="l00439"></a>00439         
<a name="l00444"></a>00444         <span class="keywordtype">void</span> convertWorldPositionToTerrainSlot(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; pos, <span class="keywordtype">long</span> *x, <span class="keywordtype">long</span> *y) <span class="keyword">const</span>;
<a name="l00445"></a>00445 
<a name="l00450"></a>00450         <span class="keywordtype">void</span> convertTerrainSlotToWorldPosition(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y, <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>* pos) <span class="keyword">const</span>;
<a name="l00451"></a>00451         
<a name="l00455"></a>00455         <span class="keywordtype">bool</span> isDerivedDataUpdateInProgress() <span class="keyword">const</span>;
<a name="l00456"></a>00456 
<a name="l00458"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a8ddf0950465ee9dfb643b6caa5ae7e03">00458</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;uint32, TerrainSlot*&gt;::type</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a8ddf0950465ee9dfb643b6caa5ae7e03" title="Packed map, signed 16 bits for each axis from -32767 to +32767.">TerrainSlotMap</a>;
<a name="l00459"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a0ede78efc787db283ade7fdf25f85fe5">00459</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">MapIterator&lt;TerrainSlotMap&gt;</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a0ede78efc787db283ade7fdf25f85fe5">TerrainIterator</a>;
<a name="l00460"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a715d18edfe80acd905f82e69145b58ce">00460</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1ConstMapIterator.html" title="Concrete IteratorWrapper for const access to the underlying key-value container.">ConstMapIterator&lt;TerrainSlotMap&gt;</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a715d18edfe80acd905f82e69145b58ce">ConstTerrainIterator</a>;
<a name="l00461"></a>00461 
<a name="l00463"></a>00463         <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">TerrainIterator</a> getTerrainIterator();
<a name="l00465"></a>00465         <a class="code" href="classOgre_1_1ConstMapIterator.html" title="Concrete IteratorWrapper for const access to the underlying key-value container.">ConstTerrainIterator</a> getTerrainIterator() <span class="keyword">const</span>;
<a name="l00466"></a>00466 
<a name="l00468"></a>00468         <span class="keywordtype">bool</span> canHandleRequest(<span class="keyword">const</span> <a class="code" href="classOgre_1_1WorkQueue_1_1Request.html" title="General purpose request structure.">WorkQueue::Request</a>* req, <span class="keyword">const</span> <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>* srcQ);
<a name="l00470"></a>00470         <a class="code" href="structOgre_1_1WorkQueue_1_1Response.html" title="General purpose response structure.">WorkQueue::Response</a>* handleRequest(<span class="keyword">const</span> <a class="code" href="classOgre_1_1WorkQueue_1_1Request.html" title="General purpose request structure.">WorkQueue::Request</a>* req, <span class="keyword">const</span> <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>* srcQ);
<a name="l00472"></a>00472         <span class="keywordtype">bool</span> canHandleResponse(<span class="keyword">const</span> <a class="code" href="structOgre_1_1WorkQueue_1_1Response.html" title="General purpose response structure.">WorkQueue::Response</a>* res, <span class="keyword">const</span> <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>* srcQ);
<a name="l00474"></a>00474         <span class="keywordtype">void</span> handleResponse(<span class="keyword">const</span> <a class="code" href="structOgre_1_1WorkQueue_1_1Response.html" title="General purpose response structure.">WorkQueue::Response</a>* res, <span class="keyword">const</span> <a class="code" href="classOgre_1_1WorkQueue.html" title="Interface to a general purpose request / response style background work queue.">WorkQueue</a>* srcQ);
<a name="l00475"></a>00475 
<a name="l00477"></a>00477         <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> packIndex(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y) <span class="keyword">const</span>;
<a name="l00478"></a>00478         
<a name="l00480"></a>00480         <span class="keywordtype">void</span> unpackIndex(<a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> key, <span class="keywordtype">long</span> *x, <span class="keywordtype">long</span> *y);
<a name="l00481"></a>00481 
<a name="l00483"></a>00483         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> generateFilename(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y) <span class="keyword">const</span>;
<a name="l00484"></a>00484 
<a name="l00487"></a>00487         <span class="keywordtype">void</span> saveGroupDefinition(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename);
<a name="l00490"></a>00490         <span class="keywordtype">void</span> saveGroupDefinition(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; stream);
<a name="l00493"></a>00493         <span class="keywordtype">void</span> loadGroupDefinition(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename);
<a name="l00496"></a>00496         <span class="keywordtype">void</span> loadGroupDefinition(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; stream);
<a name="l00497"></a>00497 
<a name="l00498"></a>00498 
<a name="l00499"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a93836a9bf0faed8a783e65a6f494a633">00499</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a93836a9bf0faed8a783e65a6f494a633">WORKQUEUE_LOAD_REQUEST</a>;
<a name="l00500"></a><a class="code" href="classOgre_1_1TerrainGroup.html#af5d1ab56ff789b227e25e2011877c224">00500</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="code" href="classOgre_1_1TerrainGroup.html#af5d1ab56ff789b227e25e2011877c224">CHUNK_ID</a>;
<a name="l00501"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a18b58f7ef72dae5943447a3167b61150">00501</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a18b58f7ef72dae5943447a3167b61150">CHUNK_VERSION</a>;
<a name="l00502"></a>00502 
<a name="l00503"></a>00503     <span class="keyword">protected</span>:
<a name="l00504"></a><a class="code" href="classOgre_1_1TerrainGroup.html#aa8f11349f0a425796d4a99e2e5f6b66b">00504</a>         <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> *<a class="code" href="classOgre_1_1TerrainGroup.html#aa8f11349f0a425796d4a99e2e5f6b66b">mSceneManager</a>;
<a name="l00505"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a8c8319cbac81a0f578782fa70fd66cb7">00505</a>         <a class="code" href="classOgre_1_1Terrain.html#aca4fcebfb7ed4684682347d325477e91" title="The alignment of the terrain.">Terrain::Alignment</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a8c8319cbac81a0f578782fa70fd66cb7">mAlignment</a>;
<a name="l00506"></a><a class="code" href="classOgre_1_1TerrainGroup.html#aeeec8fb802670787fd2e190325a824bc">00506</a>         <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1TerrainGroup.html#aeeec8fb802670787fd2e190325a824bc">mTerrainSize</a>;
<a name="l00507"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a6ced6a20eb843f20eaaa072bdcfbad27">00507</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a6ced6a20eb843f20eaaa072bdcfbad27">mTerrainWorldSize</a>;
<a name="l00508"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a5c47a92b02e09ef2f850a2c4cf2775c0">00508</a>         <a class="code" href="structOgre_1_1Terrain_1_1ImportData.html" title="Structure encapsulating import data that you may use to bootstrap the terrain without loading from a ...">Terrain::ImportData</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a5c47a92b02e09ef2f850a2c4cf2775c0">mDefaultImportData</a>;
<a name="l00509"></a><a class="code" href="classOgre_1_1TerrainGroup.html#ae65f81ca3a610890ce8adee9af9558ae">00509</a>         <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> <a class="code" href="classOgre_1_1TerrainGroup.html#ae65f81ca3a610890ce8adee9af9558ae">mOrigin</a>;
<a name="l00510"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a4d2011a8a98704115fa8e45ac964abb2">00510</a>         <a class="code" href="classOgre_1_1TerrainGroup.html#a8ddf0950465ee9dfb643b6caa5ae7e03" title="Packed map, signed 16 bits for each axis from -32767 to +32767.">TerrainSlotMap</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a4d2011a8a98704115fa8e45ac964abb2">mTerrainSlots</a>;
<a name="l00511"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a120308b21f119c35862024c8a626eb3e">00511</a>         <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a120308b21f119c35862024c8a626eb3e">mWorkQueueChannel</a>;
<a name="l00512"></a><a class="code" href="classOgre_1_1TerrainGroup.html#aa79a055604bc648af378372a7b9ad213">00512</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1TerrainGroup.html#aa79a055604bc648af378372a7b9ad213">mFilenamePrefix</a>;
<a name="l00513"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a2044bb709d34d8c076e64f09a27f49e1">00513</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a2044bb709d34d8c076e64f09a27f49e1">mFilenameExtension</a>;
<a name="l00514"></a><a class="code" href="classOgre_1_1TerrainGroup.html#a682c2344fd983466b781ebf983e66f40">00514</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1TerrainGroup.html#a682c2344fd983466b781ebf983e66f40">mResourceGroup</a>;
<a name="l00515"></a><a class="code" href="classOgre_1_1TerrainGroup.html#ad4b759d5097acde58dd6284b93018d3c">00515</a>         <a class="code" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html" title="Standard implementation of a buffer allocator which re-uses buffers.">Terrain::DefaultGpuBufferAllocator</a> <a class="code" href="classOgre_1_1TerrainGroup.html#ad4b759d5097acde58dd6284b93018d3c">mBufferAllocator</a>;
<a name="l00516"></a>00516         
<a name="l00518"></a>00518         <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> getTerrainSlotPosition(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y);
<a name="l00520"></a>00520         <a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html" title="Slot for a terrain instance, together with its definition.">TerrainSlot</a>* getTerrainSlot(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y, <span class="keywordtype">bool</span> createIfMissing);
<a name="l00521"></a>00521         <a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html" title="Slot for a terrain instance, together with its definition.">TerrainSlot</a>* getTerrainSlot(<span class="keywordtype">long</span> x, <span class="keywordtype">long</span> y) <span class="keyword">const</span>;
<a name="l00522"></a>00522         <span class="keywordtype">void</span> connectNeighbour(<a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html" title="Slot for a terrain instance, together with its definition.">TerrainSlot</a>* slot, <span class="keywordtype">long</span> offsetx, <span class="keywordtype">long</span> offsety);
<a name="l00523"></a>00523 
<a name="l00524"></a>00524         <span class="keywordtype">void</span> loadTerrainImpl(<a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html" title="Slot for a terrain instance, together with its definition.">TerrainSlot</a>* slot, <span class="keywordtype">bool</span> synchronous);
<a name="l00525"></a>00525 
<a name="l00527"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html">00527</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html" title="Structure for holding the load request.">LoadRequest</a>
<a name="l00528"></a>00528         {
<a name="l00529"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html#a12027bd85dcaf57b34074d1dbb70b577">00529</a>             <a class="code" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html" title="Slot for a terrain instance, together with its definition.">TerrainSlot</a>* <a class="code" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html#a12027bd85dcaf57b34074d1dbb70b577">slot</a>;
<a name="l00530"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html#a0932f9af61a0f6f4786ee62562e27f02">00530</a>             <a class="code" href="classOgre_1_1TerrainGroup.html" title="Helper class to assist you in managing multiple terrain instances that are connected to each other...">TerrainGroup</a>* <a class="code" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html#a0932f9af61a0f6f4786ee62562e27f02">origin</a>;
<a name="l00531"></a><a class="code" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html#a8b3e2b9bd95cf7dd4c5a8a2e32f1f571">00531</a>             <a class="code" href="OgreTerrainPrerequisites_8h.html#a2fbe49b54cb4b3c3e2757cd3ac167068">_OgreTerrainExport</a> <span class="keyword">friend</span> std::ostream&amp; <a class="code" href="group__General.html#ga6d67d46d838de3b38264f17fb792cddc">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html" title="Structure for holding the load request.">LoadRequest</a>&amp; r)
<a name="l00532"></a>00532             { <span class="keywordflow">return</span> o; }       
<a name="l00533"></a>00533         };
<a name="l00534"></a>00534         
<a name="l00535"></a>00535 
<a name="l00536"></a>00536     };
<a name="l00537"></a>00537 
<a name="l00538"></a>00538 
<a name="l00542"></a>00542 }
<a name="l00543"></a>00543 
<a name="l00544"></a>00544 <span class="preprocessor">#endif</span>
<a name="l00545"></a>00545 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:52
</p>
</body>
</html>
